Intermittent error: fontFamily 'Ionicons' is not a system font...

#1

Hi everyone, recently I upgrade to SDK 30 and sometimes when I clone the project in my computer it gives me this error:

"fontFamily ‘Ionicons’ is not a system font and has not been loaded through Expo.Font.loadAsync."

It’s not always that this happen, and my app.js is exactly the same from the ‘expo init’ command.

I tried dowgrading to SDK 29, and the error happened again, these are the dependecies I’m using:

  • “axios”: “^0.18.0”,
  • “babel-preset-env”: “^1.7.0”,
  • “cnpj”: “^1.0.2”,
  • “cpf”: “^1.0.6”,
  • “expo”: “^30.0.1”,
  • “intl”: “^1.2.5”,
  • “lodash”: “^4.17.11”,
  • “moment”: “^2.22.2”,
  • “native-base”: “^2.8.1”,
  • “numeral”: “^2.0.6”,
  • “pouchdb”: “^7.0.0”,
  • “pouchdb-adapter-asyncstorage”: “^6.4.1”,
  • “pouchdb-find”: “^7.0.0”,
  • “querystring”: “^0.2.0”,
  • “react”: “16.3.1”,
  • “react-native”: “https://github.com/expo/react-native/archive/sdk-30.0.0.tar.gz”,
  • “react-native-modal-dropdown”: “^0.6.2”,
  • “react-native-modalbox”: “^1.6.0”,
  • “react-navigation”: “^2.17.0”,
  • “react-redux”: “^5.0.7”,
  • “redux”: “^4.0.0”,
  • “redux-form”: “^7.4.2”,
  • “redux-multi”: “^0.1.12”,
  • “redux-promise”: “^0.6.0”,
  • “redux-thunk”: “^2.3.0”

Funny thing is, I have a project using SDK 29 and this error never happened, the only difference is some dependencies.

Any ideas?

#2

did you change your .babelrc? you need to use the expo babel preset

#3

I tried now, but as expected, it worked on my machine, on my coworker macbook, but not on his windows desktop, it might be something related to the npm on his windows?

closed #4

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.